> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# sentiment

## "sentiment" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SentimentScoreProvider">SentimentScoreProvider</see> class.
The name of the MDO list is 'sentiment'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/sentiment
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("sentiment", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 1  | Positive |           |           |
| 2  | Negative |           |           |
| 3  | Neutral  |           |           |
| 4  | Unknown  |           |           |

## Related MDO Lists

* "sentimentheadings"
* "sentimentheadingswithallitem"
* "sentimentheadingswithallitemwithnoselection"
* "sentimentheadingswithnoselection"
* "sentimentwithallitem"
* "sentimentwithallitemwithnoselection"
* "sentimentwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.Sentiment](/en/api/reference/webapi/SuperOffice.WebApi.Data.Sentiment.md)
- [SuperOffice.WebApi.Data.Ticket](/en/api/reference/webapi/SuperOffice.WebApi.Data.Ticket.md)
- [SuperOffice.WebApi.Data.TicketMessage](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketMessage.md)
- [NSSentiment](/en/automation/crmscript/reference/CRMScript.NetServer.NSSentiment.md)
- [Detect Sentiment](/en/api/reference/restful/agent/ai_agent/detect-sentiment.md)
- [SuperOffice.WebApi.Data.AI DetectSentimentRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.AI_DetectSentimentRequest.md)
